#include <stdio.h>
#include <stdlib.h>

int main()
{
    unsigned long long a, b, c, max, min, mid;
    scanf("%lld %lld %lld",&a, &b, &c);
    if( a>b && a>c )
        max = a;
    else if( b>a && b>c )
        max = b;
    else
        max = c;

    if( a<b && a<c )
        min = a;
    else if( b<a && b<c )
        min = b;
    else
        min = c;

    if( a != max && a != min)
        mid = a;
    else if( b != max && b != min)
        mid = b;
    else
        mid = c;

        printf("%lld%lld%lld", max, mid, min);
    return 0;
}